// @ts-check
import { defineConfig, passthroughImageService } from "astro/config";

import partytown from "@astrojs/partytown";
import sitemap from "@astrojs/sitemap";
import vue from "@astrojs/vue";
import robotsTxt from "astro-robots-txt";

// https://astro.build/config
export default defineConfig({
  integrations: [
    vue(),
    sitemap(),
    robotsTxt(),
    partytown({
      config: {
        forward: ["$plausible", "$plausible.push"],
      },
    }),
  ],
  i18n: {
    locales: ["en", "de"],
    defaultLocale: "en",
  },
  image: {
    service: passthroughImageService(),
  },
  site: "https://tideshiftdigital.com",
});
